#include "IOI2C.h"
#include "delay.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"
/**************************ʵֺ********************************************
*ԭ:		void IIC_Init(void)
*:		ʼI2CӦĽӿš
*******************************************************************************/

void Delay(u32 count)//ڲ400KHzIICźҪʱ
{
	while (count--);
}
void IIC_Init(void)
{			
	GPIO_InitTypeDef GPIO_InitStructure;
 	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);			     
 	//PB6 PB7 Ϊ©  ˢƵΪ10Mhz
 	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_10 | GPIO_Pin_11;	
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;       
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	//ӦõGPIOB 
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	
	SDA_OUT();     //sda
	IIC_SDA=1;	  	  
	IIC_SCL=1;
}

/**************************ʵֺ********************************************
*ԭ:		void IIC_Start(void)
*:		IICʼź
*******************************************************************************/
void IIC_Start(void)
{
	SDA_OUT();     //sda
	IIC_SDA=1;	  	  
	IIC_SCL=1;
	
	Delay(5);
 	IIC_SDA=0;//START:when CLK is high,DATA change form high to low 
	
	Delay(5);
	IIC_SCL=0;//ǯסI2Cߣ׼ͻ 
}

/**************************ʵֺ********************************************
*ԭ:		void IIC_Stop(void)
*:	    //IICֹͣź
*******************************************************************************/	  
void IIC_Stop(void)
{
	SDA_OUT();//sda
	IIC_SCL=0;
	IIC_SDA=0;//STOP:when CLK is high DATA change form low to high
 	
		Delay(5);
	IIC_SCL=1; 
	IIC_SDA=1;//I2C߽ź
	
		Delay(5);							   	
}

/**************************ʵֺ********************************************
*ԭ:		u8 IIC_Wait_Ack(void)
*:	    ȴӦźŵ 
//ֵ1Ӧʧ
//        0Ӧɹ
*******************************************************************************/
u8 IIC_Wait_Ack(void)
{
	u8 ucErrTime=0; 
	SDA_IN();      //SDAΪ  
	IIC_SDA=1;
		Delay(5);	  
	while(READ_SDA)
	{
		ucErrTime++;
		if(ucErrTime>50)
		{
			IIC_Stop();
			return 1;
		}
		Delay(5);
	}  
	IIC_SCL=1;
	Delay(5); 
	IIC_SCL=0;//ʱ0  
	return 0;  
} 

/**************************ʵֺ********************************************
*ԭ:		void IIC_Ack(void)
*:	    ACKӦ
*******************************************************************************/
void IIC_Ack(void)
{
	IIC_SCL=0;
	SDA_OUT();
	IIC_SDA=0;
		Delay(5);
	IIC_SCL=1;
		Delay(5);
	IIC_SCL=0;
}
	
/**************************ʵֺ********************************************
*ԭ:		void IIC_NAck(void)
*:	    NACKӦ
*******************************************************************************/	    
void IIC_NAck(void)
{
	IIC_SCL=0;
	SDA_OUT();
	IIC_SDA=1;
	
		Delay(5);
	IIC_SCL=1;
		Delay(5);
	IIC_SCL=0;
}					 				     

/**************************ʵֺ********************************************
*ԭ:		void IIC_Send_Byte(u8 txd)
*:	    IICһֽ
*******************************************************************************/		  
void IIC_Send_Byte(u8 txd)
{                        
    u8 t; 
		SDA_OUT(); 	    
    IIC_SCL=0;//ʱӿʼݴ
    for(t=0;t<8;t++)
    {              
        IIC_SDA=(txd&0x80)>>7;
        txd<<=1; 	  
			
		Delay(2);   
		IIC_SCL=1;
		Delay(5);
		IIC_SCL=0;	
		Delay(3);
    }	 
} 	 
   
/**************************ʵֺ********************************************
*ԭ:		u8 IIC_Read_Byte(unsigned char ack)
*:	    //1ֽڣack=1ʱACKack=0nACK 
*******************************************************************************/  
u8 IIC_Read_Byte(unsigned char ack)
{
	unsigned char i,receive=0;
	SDA_IN();//SDAΪ
    for(i=0;i<8;i++ )
	{
        IIC_SCL=0; 
        
		Delay(5);
		IIC_SCL=1;
        receive<<=1;
        if(READ_SDA)receive++;   
		
		Delay(5); 
    }					 
    if (ack)
        IIC_Ack(); //ACK 
    else
        IIC_NAck();//nACK  
    return receive;
}

/**************************ʵֺ********************************************
*ԭ:		u8 IICreadBytes(u8 dev, u8 reg, u8 length, u8 *data)
*:	    ȡָ豸 ָĴ lengthֵ
	dev  Ŀ豸ַ
		reg	  Ĵַ
		length Ҫֽ
		*data  ݽҪŵָ
   ֽ
*******************************************************************************/ 
u8 IICreadBytes(u8 dev, u8 reg, u8 length, u8 *data){
    u8 count = 0;
	
	IIC_Start();
	IIC_Send_Byte(dev<<1);	   //д
	IIC_Wait_Ack();
	IIC_Send_Byte(reg);   //͵ַ
  IIC_Wait_Ack();	  
	IIC_Start();
	IIC_Send_Byte((dev<<1)+1);  //ģʽ	
	IIC_Wait_Ack();
	
    for(count=0;count<length;count++){
		 
		 if(count!=length-1)data[count]=IIC_Read_Byte(1);  //ACKĶ
		 	else  data[count]=IIC_Read_Byte(0);	 //һֽNACK
	}
    IIC_Stop();//һֹͣ
    return count;
}

/**************************ʵֺ********************************************
*ԭ:		u8 IICwriteBytes(u8 dev, u8 reg, u8 length, u8* data)
*:	    ֽдָ豸 ָĴ
	dev  Ŀ豸ַ
		reg	  Ĵַ
		length Ҫдֽ
		*data  Ҫдݵ׵ַ
   Ƿɹ
*******************************************************************************/ 
u8 IICwriteBytes(u8 dev, u8 reg, u8 length, u8* data){
  
 	u8 count = 0;
	IIC_Start();
	IIC_Send_Byte(dev<<1);	   //д
	IIC_Wait_Ack();
	IIC_Send_Byte(reg);   //͵ַ
	IIC_Wait_Ack();	  
	for(count=0;count<length;count++){
		IIC_Send_Byte(data[count]); 
		IIC_Wait_Ack(); 
 }
	IIC_Stop();//һֹͣ

    return 1; //status == 0;
	
}
